# StAXON - JSON via StAX

[StAXON](http://beckchr.github.com/staxon/) lets you read and write JSON using the Java Streaming API
for XML (`javax.xml.stream`). StAXON acts as a door opener for JSON to powerful XML related technologies like

- XSL transformations (XSLT)
- XML binding API (JAXB)
- XML Schema Definition (XSD)
- XPath, XQuery, ...

## Features

- Support for JAXB and JAX-RS
- Trigger JSON arrays via XML processing instruction
- Full XML namespace support
- Support the JSON Processing API [(JSR-353)](https://jcp.org/en/jsr/detail?id=353),
  [Jackson](http://wiki.fasterxml.com/JacksonHome/) and 
  [Gson](http://code.google.com/p/google-gson/) as JSON streaming backends
- Memory efficient, even for very large documents
- It's pretty fast ([benchmark](https://github.com/beckchr/staxon/wiki/Benchmark))...

## Documentation

Check the [Getting Started](https://github.com/beckchr/staxon/wiki/Getting-Started) guide first.
More documentation is available from the [StAXON Wiki](https://github.com/beckchr/staxon/wiki/).

## Downloads

The [Downloads](https://github.com/beckchr/staxon/wiki/Downloads) page provides Maven instructions and individual download links.

## Development

Visit the [GitHub project](http://github.com/beckchr/staxon/).

## License

StAXON is available under the [Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html).


_(c) 2011, 2012 Odysseus Software_